Name:          okteta
Version:       4.14.2
Release:       1mamba
Summary:       A simple editor for the raw data of files
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/%{version}/src/okteta-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libqca-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
Provides:      libokteta
Obsoletes:     libokteta
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Okteta is a simple editor for the raw data of files. This type of program is also called hex editor or binary editor.
This package is part of KDE4.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kdelibs-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_bindir}/okteta
%{_kde4_bindir}/struct2osd.sh
%{_kde4_libdir}/kde4/libkbytearrayedit.so
%{_kde4_libdir}/kde4/oktetapart.so
%{_kde4_pluginsdir}/designer/oktetadesignerplugin.so
%{_kde4_libdir}/libkasten2controllers.so.*
%{_kde4_libdir}/libkasten2core.so.*
%{_kde4_libdir}/libkasten2gui.so.*
%{_kde4_libdir}/libkasten2okteta1controllers.so.*
%{_kde4_libdir}/libkasten2okteta1core.so.*
%{_kde4_libdir}/libkasten2okteta1gui.so.*
%{_kde4_libdir}/libokteta1core.so.*
%{_kde4_libdir}/libokteta1gui.so.*
%{_kde4_xdgappsdir}/okteta.desktop
%{_kde4_sharedir}/appdata/okteta.appdata.xml
%dir %{_kde4_datadir}/okteta
%{_kde4_datadir}/okteta/oktetaui.rc
%dir %{_kde4_datadir}/okteta/structures
%{_kde4_datadir}/okteta/structures/*
%{_kde4_datadir}/oktetapart/oktetapart*.rc
%{_kde4_kcfgdir}/structviewpreferences.kcfg
%config %{_kde4_configdir}/okteta-structures.knsrc
%doc %lang(en) %{_kde4_htmldir}/en/okteta/common
%doc %lang(en) %{_kde4_htmldir}/en/okteta/index.cache.bz2
%doc %lang(en) %{_kde4_htmldir}/en/okteta/index.docbook
%{_kde4_icondir}/hicolor/*/apps/okteta.png
%{_kde4_servicesdir}/kbytearrayedit.desktop
%{_kde4_servicesdir}/oktetapart.desktop
%{_kde4_xdgmimedir}/okteta.xml
%doc COPYING COPYING.DOC COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_kde4_includedir}/KDE/Kasten2
%{_kde4_includedir}/KDE/Kasten2/*
%dir %{_kde4_includedir}/KDE/Okteta1
%{_kde4_includedir}/KDE/Okteta1/*
%dir %{_kde4_includedir}/kasten2
%{_kde4_includedir}/kasten2/*
%dir %{_kde4_includedir}/okteta1
%{_kde4_includedir}/okteta1/*
%{_kde4_libdir}/libkasten2controllers.so
%{_kde4_libdir}/libkasten2core.so
%{_kde4_libdir}/libkasten2gui.so
%{_kde4_libdir}/libkasten2okteta1controllers.so
%{_kde4_libdir}/libkasten2okteta1core.so
%{_kde4_libdir}/libkasten2okteta1gui.so
%{_kde4_libdir}/libokteta1core.so
%{_kde4_libdir}/libokteta1gui.so

%changelog
* Fri Oct 24 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
